Loading...
Searching...
No Matches
rostlab::blast::hsp Struct Reference

High-scoring segment pair. More...

`#include <blast-result.h>`

## Public Types

enum | ECompoAdjustModes { eNoCompositionBasedStats = 0 , eCompositionBasedStats = 1 , eCompositionMatrixAdjust = 2 , eCompoForceFullMatrixAdjust = 3 , eNumCompoAdjustModes }
| An collection of constants that specify all permissible modes of composition adjustment. More...
typedef enum rostlab::blast::hsp::ECompoAdjustModes | ECompoAdjustModes
| An collection of constants that specify all permissible modes of composition adjustment.

## Public Member Functions

| hsp (double __bit_score=0, size_t __raw_score=0)
virtual | ~hsp ()

## Public Attributes

double | bit_score
size_t | raw_score
double | e_value
ECompoAdjustModes | method
size_t | identities
size_t | positives
size_t | gaps
std::string | q_strand
| Query strand [Plus|Minus].
std::string | s_strand
| Subject strand [Plus|Minus].
int8_t | q_frame
| Query frame.
int8_t | s_frame
| Subject frame.
size_t | q_start
| Query start (1-based).
std::string | q_ali
| Query alignment string.
size_t | q_end
| Query end (1-based).
std::string | match_line
| Match line.
size_t | s_start
| Subject start (1-based).
std::string | s_ali
| Subject alignment string.
size_t | s_end
| Subject end (1-based).

## Detailed Description

High-scoring segment pair.

Depending on the type of blast results, fields may be unused.

Definition at line 52 of file blast-result.h.

## Member Typedef Documentation

## ECompoAdjustModes

typedef enum rostlab::blast::hsp::ECompoAdjustModes rostlab::blast::hsp::ECompoAdjustModes

An collection of constants that specify all permissible modes of composition adjustment.

Copied from ncbi-tools6-6.1.20090809/algo/blast/composition_adjustment/composition_constants.h in order to avoid having to depend on that library only for this.

## Member Enumeration Documentation

## ECompoAdjustModes

enum rostlab::blast::hsp::ECompoAdjustModes

An collection of constants that specify all permissible modes of composition adjustment.

Copied from ncbi-tools6-6.1.20090809/algo/blast/composition_adjustment/composition_constants.h in order to avoid having to depend on that library only for this.

Enumerator
eNoCompositionBasedStats |
eCompositionBasedStats |
eCompositionMatrixAdjust |
eCompoForceFullMatrixAdjust |
eNumCompoAdjustModes |

Definition at line 55 of file blast-result.h.

## Constructor & Destructor Documentation

## hsp()

rostlab::blast::hsp::hsp | ( | double | __bit_score = 0,
|  | size_t | __raw_score = 0 )

inline

Definition at line 95 of file blast-result.h.

## ~hsp()

virtual rostlab::blast::hsp::~hsp | ( |  | ) |

inline virtual

Definition at line 97 of file blast-result.h.

## Member Data Documentation

## bit_score

double rostlab::blast::hsp::bit_score

Definition at line 63 of file blast-result.h.

## e_value

double rostlab::blast::hsp::e_value

Definition at line 65 of file blast-result.h.

## gaps

size_t rostlab::blast::hsp::gaps

Definition at line 69 of file blast-result.h.

## identities

size_t rostlab::blast::hsp::identities

Definition at line 67 of file blast-result.h.

## match_line

std::string rostlab::blast::hsp::match_line

Match line.

Definition at line 87 of file blast-result.h.

## method

ECompoAdjustModes rostlab::blast::hsp::method

Definition at line 66 of file blast-result.h.

## positives

size_t rostlab::blast::hsp::positives

Definition at line 68 of file blast-result.h.

## q_ali

std::string rostlab::blast::hsp::q_ali

Query alignment string.

Definition at line 83 of file blast-result.h.

## q_end

size_t rostlab::blast::hsp::q_end

Query end (1-based).

Definition at line 85 of file blast-result.h.

## q_frame

int8_t rostlab::blast::hsp::q_frame

Query frame.

Initialized to 32.

Definition at line 76 of file blast-result.h.

## q_start

size_t rostlab::blast::hsp::q_start

Query start (1-based).

Definition at line 81 of file blast-result.h.

## q_strand

std::string rostlab::blast::hsp::q_strand

Query strand [Plus|Minus].

Definition at line 71 of file blast-result.h.

## raw_score

size_t rostlab::blast::hsp::raw_score

Definition at line 64 of file blast-result.h.

## s_ali

std::string rostlab::blast::hsp::s_ali

Subject alignment string.

Definition at line 91 of file blast-result.h.

## s_end

size_t rostlab::blast::hsp::s_end

Subject end (1-based).

Definition at line 93 of file blast-result.h.

## s_frame

int8_t rostlab::blast::hsp::s_frame

Subject frame.

Initialized to 32.

Definition at line 79 of file blast-result.h.

## s_start

size_t rostlab::blast::hsp::s_start

Subject start (1-based).

Definition at line 89 of file blast-result.h.

## s_strand

std::string rostlab::blast::hsp::s_strand

Subject strand [Plus|Minus].

Definition at line 73 of file blast-result.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-result.h